Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86052 - Toshiba SatPro 6100 hangs on USB init after re-boot
Summary: Toshiba SatPro 6100 hangs on USB init after re-boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 08:52 UTC by Toralf
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 08:13:34 UTC


Attachments (Terms of Use)

Description Toralf 2003-03-13 08:52:50 UTC
Description of problem:
Toshiba Satellite Pro 6100 laptop will hang in UBS init step after reboot. The
problem does not occur on restart after power-down.

Version-Release number of selected component (if applicable):
2.4.18-17.7.x


How reproducible:
Every time

Steps to Reproduce:
1. Boot the system
2. Reboot the system
    
Actual results:
GRUB screen displayed
Various ininitial boot steps
Initializing USB controller (usb-uhci):

Then nothing more happens

Expected results:
Normal boot

Additional info:
The system boots successfully if switched off, then back on after it gets stuck.

The same problem occurs on two different units. I have not seen it on older
Satellite Pro models (but then again, those have been updated and reconfigured
numerous times, so they may not have exactly the same setup.)

Comment 1 Dumitru Ciobarcianu 2003-03-13 18:26:48 UTC
Also happens to me in phoebe3 & rawhide kernels
lspci output:

[root@LNX root]# lspci
00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev
04)
00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 04)
00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #1) (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #2) (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #3) (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BAM/CAM PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corp. 82801CAM ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801CAM IDE U100 (rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801CA/CAM AC'97 Audio (rev 02)
00:1f.6 Modem: Intel Corp. 82801CA/CAM AC'97 Modem (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 420 Go]
(rev a3)
02:08.0 Ethernet controller: Intel Corp. 82801CAM (ICH3) PRO/100 VE (LOM)
Ethernet Controller (rev 42)
02:0a.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 01)
02:0b.0 CardBus bridge: Toshiba America Info Systems ToPIC95 PCI to Cardbus
Bridge with ZV Support (rev 32)
02:0b.1 CardBus bridge: Toshiba America Info Systems ToPIC95 PCI to Cardbus
Bridge with ZV Support (rev 32)
02:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev
03)
[root@LNX root]#



Comment 2 Dumitru Ciobarcianu 2003-04-07 18:10:58 UTC
It works with the kernel from RedHat Linux 9 (2.4.20-8)



Comment 3 Toralf 2003-04-08 13:13:19 UTC
I don't think I can switch to Red Hat 9 just yet.

Will this kernel be made available as a Red Hat 7.3 update?

Comment 4 Pete Zaitcev 2004-01-20 04:51:56 UTC
No, RHL 9 & FC1 use a kernel with NPTL.
Did you have a chance to upgrade yet?


Comment 5 Dumitru Ciobarcianu 2004-01-20 06:31:12 UTC
RHL9 & FC1 kernel exhibits the same problem
2.6.x from Fedora-Devel does no have the problem


Comment 6 Pete Zaitcev 2004-08-20 08:13:34 UTC
Closing as a 7.x bug, which is EOLed



Note You need to log in before you can comment on or make changes to this bug.